1. Transactions
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
    • Issuing
      • Card Activated
      • Card Failed
      • Transaction Completed
      • Transaction Declined
  • Issuing
    • Card Products
      • List Card Products
    • Cardholders
      • Create Cardholder
      • List Cardholders
      • Get Cardholder
    • Cards
      • Issue Card
      • List Cards
      • Get Card
      • Create Card Secure Session
    • Transactions
      • List Transactions
        GET
      • Get Transaction
        GET
  1. Transactions

List Transactions

GET
/api/v1/issuing/transaction/list
Query the current customer's transactions with multi-condition filtering and pagination. Records are returned in reverse chronological order.
The interval between startTime and endTime may not exceed 90 days.

Request

Query Params

Responses

🟢200
application/json
Transactions retrieved successfully
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
🔴500InternalError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/issuing/transaction/list?pageNum=&pageSize=&cardNo=&cardholderNo=&type=&status=&startTime=&endTime='
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "total": 0,
        "list": [
            {
                "transactionNo": "string",
                "cardNo": "string",
                "cardholderNo": "string",
                "type": "string",
                "status": "string",
                "originalTransactionNo": "string",
                "transactionAmount": "string",
                "transactionCurrency": "string",
                "billingAmount": "string",
                "billingCurrency": "string",
                "fx": {
                    "isCrossCurrency": true,
                    "rate": "string",
                    "convertedAmount": "string"
                },
                "fees": [
                    {
                        "feeCode": "string",
                        "feeName": "string",
                        "amount": "string",
                        "currency": "string",
                        "baseAmount": "string",
                        "calcMode": "string",
                        "rate": "string",
                        "fixedAmount": "string",
                        "minFee": "string",
                        "maxFee": "string",
                        "ruleNo": "string",
                        "ruleVersion": 0
                    }
                ],
                "totalFeeAmount": "string",
                "totalDebitAmount": "string",
                "merchant": {
                    "name": "string",
                    "mcc": "string",
                    "city": "string",
                    "country": "string"
                },
                "transactionTime": "2019-08-24T14:15:22.123Z",
                "postedTime": "2019-08-24T14:15:22.123Z",
                "declineReason": "string"
            }
        ],
        "pageNum": 0,
        "pageSize": 0,
        "pages": 0
    }
}
Modified at 2026-08-11 10:11:22
Previous
Create Card Secure Session
Next
Get Transaction
Built with